freedombone-addcert(1)

NAME
freedombone-addcert - A script for creating letsencrypt or self-signed certificates on Debian

SYNOPSIS
freedombone-addcert -e [hostname] -h [hostname] -s [Lets Encrypt server URL] -c [country code] -a [area] -l [location] -o [organisation] -u [unit] --dhkey [length in bits] --nodh [true/false] --email [address]

DESCRIPTION
Creates either a Let's Encrypt or a self-signed certificate for the given hostname.

USAGE
Typical usage for a self-signed certificate is:
    freedombone-addcert -h [hostname] Or for a Let's Encrypt certificate. The email address is only needed for initial account creation.
    freedombone-addcert -e [hostname] --email [address] Optionally you can also specify additional parameters.

BUGS
Report bugs at https://github.com/bashrc/freedombone/issues

AUTHOR
Bob Mottram <bob@robotics.uk.to>
PGP/GPG: EA982E38
Bitmessage: BM-2cWuhmBvVdfrHhLoZTdspCkKeiTorUesSL
Web: http://robotics.uk.to